.kit.table-tile {
  display: flex;
  justify-content: flex-start;
  align-items: stretch;

  .line.table.bottom {
    display: flex;
    width: 100%;
    @media only screen and (max-width: 1024px) {
      width: 100%;
    }
    .unit.more {
      display: flex;
      flex-flow: row nowrap;
      width: auto;
      white-space: nowrap;
      @media only screen and (max-width: 1024px) {
        margin: 0.5rem auto;
        color: #fff;
        justify-content: center;
        align-items: center;
        height: 3rem;
        padding: 0.25rem 1rem;
        background-color: #4272a4;
        border-radius: 0.25rem;
        font-size: 1rem;
        font-weight: 500;
        > .kit.aqualink {
          color: #fff !important;
          font-weight: 500;
          margin-right: 0.25rem;
        }
      }
      @media only screen and (min-width: 1025px) {
        justify-content: flex-start;
        width: auto;
        margin-right: auto;
        padding: 0.5rem 1rem;
        background-color: #e4ebf6;
        font-size: 0.8125rem;
        font-weight: 400;
        line-height: 1.3;
        cursor: pointer;
        &.center {
          margin-left: auto;
        }
        > .kit.aqualink {
          text-decoration: underline;
          margin-right: 0.25rem;
        }
        &:hover {
          background-color: #DBE4E9;
        }
      }
    }
  }

  .line.table {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    align-items: stretch;
    &.head {
      text-align: left;
      font-size: 0.875rem;
      line-height: 1;
      font-weight: 500;
      color: #141414;
    }
    &.body {
      background-color: #fff;
    }
  }
  .unit {
    display: flex;
    flex-flow: row wrap;
    justify-content: flex-start;
    width: 100%;
    height: auto;
    background-color: transparent;
    .img-wrapper {
      display: flex;
      justify-content: center;
      align-items: center;
      margin: 0;
      overflow: hidden;
      font-size: 0;
      img {
        display: block;
        max-width: 100%;
        max-height: 100%;
      }
    }
    .text.addition {
      display: block;
      color: #9BADB9;
      font-weight: 400;
      line-height: 1.3;
      padding-top: 0.25rem;
      text-align: inherit;
      + .hint.addition {
        display: none;
      }

      @media only screen and (max-width: 1024px) {
        font-size: 0.8125rem;
      }
      @media only screen and (min-width: 1025px) {
        font-size: 0.6875rem;
        &.ellipsis {
          white-space: nowrap;
          max-width: 100%;
          overflow: hidden;
          text-overflow: ellipsis;
        }
        &.hover {
          cursor: default;
          + .hint.addition {
            display: none;
            position: absolute;
            top: 110%;
            left: -5%;
            right: -5%;
            padding: 0.5rem;
            font-size: 0.6875rem;
            line-height: 1.3;
            font-weight: 400;
            background-color: #fff;
            border: 1px solid #9BADB9;
            border-radius: 0.25rem;
            text-align: center;
          }
          &:hover {
            + .hint.addition {
              display: block;
            }
          }
        }
      }
    }
  }
  &.display-table {
    @media only screen and (min-width: 1025px) {
      flex-flow: column nowrap;
      .only-tile {
        display: none;
      }
      .line.table {
        position: relative;
        z-index: 1;
      }
      .line.body {
        width: 100%;
        margin-bottom: 0.375rem;
        min-height: 4rem;
        font-size: 0.8125rem;
        line-height: 1.2;
        color: #272727;
        &:hover {
          box-shadow: 0 8px 12px 0 rgba(96,126,146,0.2);
          position: relative;
          z-index: 2;
        }
      }
      .unit {
        align-items: center;
        padding: 0.5rem 0.625rem;
        &.yellow {
          background-color: #FEFAE6;
        }
      }
    }
  }

  &.display-tile {
    @media only screen and (min-width: 1025px) {
      flex-flow: row wrap;
      align-items: flex-start;
      margin-right: -0.5rem;
      margin-left: -0.5rem;
      .only-table {
        display: none;
      }
      .line.head.table {
        display: none;
      }
      .line.body.table {
        flex: 0 0 13.5rem;
        flex-flow: column nowrap;
        width: 13.5rem;
        height: 20rem;
        border: 1px solid transparent;
        margin: 0.5rem;
        padding: 1rem;
        &:hover {
          box-shadow: 0 0.75rem 1.5rem rgba(89, 108, 125, 0.16);
          border-color: #C5D1D9;
        }
      }
      .unit {
        padding: 0;
        align-items: flex-start;
      }
    }
  }

  @media only screen and (max-width: 1024px) {
    flex-flow: column nowrap;
    align-items: flex-start;
    padding: 1rem 0;
    .only-table {
      display: none;
    }
    .line.head.table {
      display: none;
    }
    .line.body.table {
      width: 100%;
      height: auto;
      flex-flow: column wrap;
      justify-content: center;
      margin: 0 0 0.5rem;
      padding: 0.75rem 1.5rem;
      &:hover, &:active, &:focus {
        background-color: #f6faff;
      }
    }
    .unit {
      padding: 0;
      align-items: flex-start;
    }
  }
}
